package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcLabelValue;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 特征标签-参数值Service接口
 *
 * @author szhpt
 * @date 2023-02-02*/
public interface IPcLabelValueService extends  IService<PcLabelValue>
{
    /**
     * 查询特征标签-参数值列表
     *
     * @param pcLabelValue 特征标签-参数值
     * @return 特征标签-参数值集合
     */
    public List<PcLabelValue> selectPcLabelValueList(PcLabelValue pcLabelValue);

    List<PcLabelValue> manualMonitoringIndustry(String name);

    List<PcLabelValue> selectListByLabelId(String labelId);

    void add(PcLabelValue pcLabelValue);

    void edit(PcLabelValue pcLabelValue);

    void delete(String id);
}
